Page MenuHomePhabricator

phabricator: include the suggested arc config in the repo
ClosedPublic

Authored by alex_gaynor on Jul 21 2017, 10:23 AM.

Details

Test Plan

I uploaded this revision with arc diff

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

alex_gaynor created this revision.Jul 21 2017, 10:23 AM
durin42 accepted this revision as: durin42.

This looks fine to me, but I also have no idea what I'm doing. I'd appreciate someone with more arc experience letting me know if "history.immutable" : false being missing from the included-in-repo arcconfig will be a burden on those of us that have history mutation enabled...

@durham @quark

simpkins accepted this revision.Jul 24 2017, 9:42 PM
simpkins added a subscriber: simpkins.

This looks good to me too.

Personally I would vote for setting history.immutable to false too. This mostly affects the behavior of the arc diff and arc amend commands. This probably won't matter at all for people that submit diffs using the phabsend extension instead of arc diff.
When set to false, arc diff will rewrite your local commit message to include the differential revision ID when submitting a diff. arc amend will update your commit message to add a Reviewed By line once your diff has been accepted.
Personally I find it useful to have this information in my local commit messages. (The phabdiff and phabstatus extensions in the rFBHGEXT repository can also report some useful information if they find this field present in your commit message.)

The only downside of leaving history.immutable as true is that you don't get this information in your commit message when running arc diff / arc amend; it shouldn't impact any other behavior.
One arguable downside of setting history.immutable to false is that your local commit IDs do change after running arc diff or arc amend if it needed to update your commit message.

durin42 accepted this revision.Jul 25 2017, 10:56 AM
This revision is now accepted and ready to land.Jul 25 2017, 10:56 AM
This revision was automatically updated to reflect the committed changes.